***********************************************************************
      SUBROUTINE CALSST        !" SST $B7W;;(B
     O         ( GSST  ,
     I           ALAT  ,
     I           TEQ   , ALAT0 , ALAT1 , ALPHA , BETA  , GAMMA ,
     I           ALACON,
     I           IDIM  , JDIM                                   )
*
*     SST = SST ( TEQ-ALAT0, ALAT1, ALPHA, BETA, GAMMA )
*         -> ALAT0 +/- ALACON $B$N4V(B, $BJ?C32=(B
*
*   [PARAM] 
      INTEGER    IDIM, JDIM
*
*   [OUTPUT] 
      REAL       GSST  ( IDIM, JDIM )
*
*   [INPUT] 
      REAL       ALAT  ( JDIM )
      REAL       TEQ
      REAL       ALAT0
      REAL       ALAT1
      REAL       ALPHA
      REAL       BETA
      REAL       GAMMA
      REAL       ALACON
*
*   [INTERNAL WORK]       
      REAL       PI, PHI1, AB4, PHI, GSSTP, ALATP, ALATM, GSSTMX
      INTEGER    I, J, JP, JM
*
*" << CRSST : SST$B$N7W;;:n@.(B >> 
*
      PI   = ATAN( 1. ) * 4.  
      PHI1 = ABS( ALAT1 * PI/180.   )
      AB4  = 2. *( PHI1**3 )*BETA/ALPHA
*
      DO 2100 J = 1, JDIM
*
         PHI   = ABS( ALAT( J ) - ALAT0 *PI/180. )
         GSSTP = TEQ
     &         - ALPHA/2.  
     &           * ( PHI - MAX(   SQRT(  PHI1**2     +AB4 )
     &                           -SQRT( (PHI-PHI1)**2+AB4 ), 0.   )  )
     &         + GAMMA *( PHI**3 )
*
         DO 2110 I = 1, IDIM
            GSST( I,J ) = GSSTP
 2110    CONTINUE
*
 2100 CONTINUE
*
*" << FIXSST : $BCf?4(B+/-ALACON$B$rJ?C3$K(B >> 
*
      ALATP = ( ALAT0 + ALACON )*PI/180.  
      ALATM = ( ALAT0 - ALACON )*PI/180.  
*
      JP = 1
      JM = JDIM
      DO 2200 J = 1, JDIM
         IF ( ALAT( J ) .GT. ALATP ) THEN
            JP = J
         ENDIF
         IF ( ALAT( J ) .GE. ALATM ) THEN
            JM = J
         ENDIF
 2200 CONTINUE
*
      GSSTMX = (     GSST(1,JP) * ( ALATP - ALAT(JP+1))
     &            +  GSST(1,JP+1) * ( ALAT(JP) - ALATP ))
     &        /( ALAT(JP) - ALAT(JP+1) )
*
      DO 2500 J = JP+1, JM
         DO 2510 I = 1, IDIM
            GSST( I,J ) = GSSTMX
 2510    CONTINUE
 2500 CONTINUE
*
      RETURN
      END


